/* BlueDataDistributor - data distribution module from ethernet to 32 serial ports
 * version 0.1.1 date 2006-10-07
 * Copyright (C) 2006 Stefan Schuermans <stefan@blinkenarea.org>
 * a BlinkenArea project - http://www.blinkenarea.org/
 */

#ifndef INC_timing
#define INC_timing

// initialize
extern void TimingInit( void );

// provide curent time stamp as entropy to random number generator
extern void TimingEntropy( void );

// provide curent 20ms tick counter as entropy to random number generator
extern void Timing20Entropy( void );

// task function to do the work - call from main loop
extern void TimingTask( void );

#endif // #ifndef INC_timing
